local BUILTIN_STAGES = {
  FADE = "fade",
  SLIDE = "slide",
  FADE_IN_SLIDE_OUT = "fade_in_slide_out",
  STATIC = "static",
}

require("notify").setup({
  level = vim.log.levels.TRACE,
  timeout = 5000,
  max_height = function()
    return math.floor(vim.o.lines * 0.75)
  end,
  max_width = function()
    return math.floor(vim.o.columns * 0.75)
  end,
  on_open = function(win)
    vim.api.nvim_win_set_config(win, { zindex = 100 })
  end,
  stages = BUILTIN_STAGES.SLIDE,
  render = "default",
  background_colour = "NotifyBackground",
  on_close =  function ()  end,
  minimum_width = 50,
  fps = 10,
  top_down = true,
  time_formats = {
    notification_history = "%FT%T",
    notification = "%T",
  },
  icons = {
    ERROR = " ",
    WARN = "",
    INFO = "",
    DEBUG = " ",
    TRACE = "✎ ",
  },
})

require("notify")("You're welcome!")
